/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.beans.folder;

import java.rmi.RemoteException;
import javax.ejb.CreateException;
import javax.ejb.EJBObject;
import javax.ejb.FinderException;
import javax.ejb.RemoveException;

/**
 * Folder remote interface
 */
public interface Folder extends EJBObject {
    public File newFile(String fname) throws RemoteException, CreateException;
    public File getFile(String fname) throws RemoteException, FinderException;
    public void sendRef(Folder f) throws RemoteException;
    public void sendInt(int i) throws RemoteException;
    public void sendRefTS(Folder f) throws RemoteException;
    public void sendIntTS(int i) throws RemoteException;
    public Folder getRef(Folder f) throws RemoteException;
    public int getInt(int i) throws RemoteException;
    public Folder getRefTS(Folder f) throws RemoteException;
    public int getIntTS(int i) throws RemoteException;
    public void sendArray(long[] x) throws RemoteException;
    public long[] getArray() throws RemoteException;
    public boolean testTimerRemoved(String fname) throws RemoteException, CreateException, RemoveException;
    public boolean testTimerCancel(String fname) throws RemoteException, CreateException;
    public int modify(String pname, int value) throws RemoteException;
    public int modifypaper2And3(String pid, int value) throws RemoteException;
    public int modifypaper2And3WithFinder(String pid, int value) throws RemoteException;
}
